DEV_DRIVER_STRING(9)

NAME
dev_driver_string - Return a device's driver name, if at all possible

SYNOPSIS

const char * dev_driver_string(const struct device * dev);

ARGUMENTS

dev
    struct device to get the name of

DESCRIPTION

Will return the device's driver's name if it is bound to a device. If the device is not bound to a driver, it will return the name of the bus it is attached to. If it is not attached to a bus either, an empty string will be returned.

COPYRIGHT